Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-bounced.xyz
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-bounced.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-bounced.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -0,0 +1,5 @@
+3
+	Created by molecuilder for select-atoms-molecules test
+O	0	0	0.495716
+H	0.758602	0	0.00857
+H	0.758602	0	1.
Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-wrapped.xyz
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-wrapped.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water-wrapped.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -0,0 +1,5 @@
+3
+	Created by molecuilder for select-atoms-molecules test
+O	0	0	4.504284
+H	0.758602	0	0.00857
+H	0.758602	0	4.
Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water.xyz
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/water.xyz	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -0,0 +1,5 @@
+3
+	Created by molecuilder for select-atoms-molecules test
+O	0	0	0.504284
+H	0.758602	0	1.00857
+H	0.758602	0	0
Index: tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at
===================================================================
--- tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
+++ tests/regression/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -0,0 +1,67 @@
+### Subgraph dissection with specific boundary conditions
+
+AT_SETUP([Graph - subgraph dissection with Wrap BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+AT_XFAIL_IF([/bin/true])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Wrap, Wrap, Wrap" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Bounce BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+AT_XFAIL_IF([/bin/false])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Bounce, Bounce, Bounce" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Graph - subgraph dissection with Ignore BC])
+AT_KEYWORDS([graph subgraph-dissection set-boundary-conditions])
+
+file=water.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-bounced.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 1 molecules." stdout], 0, [ignore], [ignore])
+file=water-wrapped.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection-BoundaryConditions/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file -B "5,0,5,0,0,5" --set-boundary-conditions "Ignore, Ignore, Ignore" -v 3 -I], 0, [stdout], [stderr])
+AT_CHECK([fgrep "I scanned 2 molecules." stdout], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/regression/Graph/testsuite-graph.at
===================================================================
--- tests/regression/Graph/testsuite-graph.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
+++ tests/regression/Graph/testsuite-graph.at	(revision c52e08e21874bd6974839eb406e14ffef59a6a4f)
@@ -7,2 +7,4 @@
 m4_include([Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at])
 
+# Subgraph dissection with specific boundary conditions
+m4_include([Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at])
